<?php
class ModelSaleOccasionmaster extends Model {
	public function addCustomerGroup($data) {
		$this->db->query("INSERT INTO " . DB_PREFIX . "occasion_master SET description = '" . $this->db->escape($data['description']) . "',detailed_description = '" . $this->db->escape($data['detailed_description']) . "'");
	}
	
	public function editCustomerGroup($occasionmaster_id, $data) {
		$this->db->query("UPDATE " . DB_PREFIX . "occasion_master SET description = '" . $this->db->escape($data['description']) . "',detailed_description = '" . $this->db->escape($data['detailed_description']) . "' WHERE occasionmaster_id = '" . (int)$occasionmaster_id . "'");
	}
	
	public function deleteCustomerGroup($occasionmaster_id) {
		$this->db->query("DELETE FROM " . DB_PREFIX . "occasion_master WHERE occasionmaster_id = '" . (int)$occasionmaster_id . "'");
	//	$this->db->query("DELETE FROM " . DB_PREFIX . "product_discount WHERE occasionmaster_id = '" . (int)$occasionmaster_id . "'");
	}
	
	public function getCustomerGroup($occasionmaster_id) {
		$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "occasion_master WHERE occasionmaster_id = '" . (int)$occasionmaster_id . "'");
		
		return $query->row;
	}
	
	public function getCustomerGroups($data = array()) {
		$sql = "SELECT * FROM " . DB_PREFIX . "occasion_master";
		
		$sql .= " ORDER BY description";	
			
		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}
		
		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}			

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}	
			
			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}
			
		$query = $this->db->query($sql);
		
		return $query->rows;
	}
	
	public function getTotalCustomerGroups() {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "occasion_master");
		
		return $query->row['total'];
	}
}
?>